#include <Nordic\reg24le1.h>
#include <stdint.h>

#define LED P00

// Interrupt From Pin (IFP) example
//
// Connect P00 to an LED, and connect the following to a button depending on the LE1 package type:
// LE1 48-pin - P13*
// LE1 32-pin - P06
// LE1 24-pin - P02
//
// *P13 on the 48-pin LE1 is shared by the I2C interface, and if the solder bridges SB1 and SB2 are connected P13 will be pulled high and will not work as an IFP pin.
//  The quickest fix is to replace "INTEXP = 0x10" by "INTEXP = 0x20" and use P14 instead of P13. 
//
// Pressing the button should cause the LED to toggle once. 

void main()
{
  P0DIR &= ~0x01; // Set P00 as output
  P1CON |= 0x53;
  EX0 = 1;        // Enable Interrupt From Pin (IFP) 
  INTEXP = 0x10;  // Configure interrupt from GP INT1 
  IT0 = 1;        // Configure INT1 on falling edge 
  
  EA = 1;         // Enable interrupts
  
  LED = 1; 

  while (1) 
  { 
                  // Do nothing
  } 
}

void ext0_irq(void) interrupt INTERRUPT_IPF 
{ 
  LED = !LED;     // Toggle LED
}